'use strict'
import { TriggerService } from '../../src/services/triggersService'
import triggerData from '../__mocks__/triggerDataMock.json'

const trigger = JSON.parse(JSON.stringify(triggerData))

describe('Trigger service tests', () => {
  beforeEach(() => {
    // reset all jest mock calls data before each test
    jest.resetAllMocks()
  })

  it('fetch State', () => {
    const state = TriggerService.fetchStateFromTrigger(trigger)
    expect(state.status).toBe('errored')
  })

  it('fetch Date', () => {
    const date = TriggerService.fetchDateFromTrigger(trigger)
    expect(date).toBe('2020 M01 16 16:53')
  })
})
